Hi all, congrats on making it to the end of another week of programming. I am trying to create new UCS objects and keep getting errors. I need to do some dimensioning in views perpendicular to the WCS. ie right, left, front... I kept getting an error when trying to create a rotated UCS, so I decided just to try moving the ucs and using the same vectors.. No luck there either... Set ucsObj = ThisDrawing.ActiveUCS' which is WCS origin(0) = 1 origin(1) = 0 origin(2) = 0 Set newUcsObj = ThisDrawing.UserCoordinateSystems.Add _ (origin, ucsObj.XVector, ucsObj.YVector, "testUCS") This gives me an error stating "The UCS x-axis point coincides the UCS origin" If I switch X and Y values above I get same error for y-axis. If I change the origin points to something like... origin(0) = 0 origin(1) = 5.5 origin(2) = 0 I get an error stating "The UCS x-axis and y-axis are not perpendicular"? What am I doing wrong? TFYT, Paul